# $Revision: 1.15 $, $Date: 2007-11-18 16:05:43 $
Summary:	A KDE based chess environment
Summary(pl.UTF-8):	Środowisko do gry w szachy dla KDE
Name:		knights
Version:	0.6
Release:	4
License:	GPL
Group:		X11/Applications/Games
Source0:	http://dl.sourceforge.net/knights/%{name}-%{version}.tar.gz
# Source0-md5:	b04574568b9bc3982b934328ee63fb74
Source1:	http://dl.sourceforge.net/knights/knights-themepack-0.5.9.tar.gz
# Source1-md5:	ece32b73d43e16b997423c219dcda21d
Patch0:		%{name}-desktop.patch
URL:		http://www.knights-chess.com/
BuildRequires:	arts-devel
BuildRequires:	automake
BuildRequires:	audiofile-devel
BuildRequires:	kdelibs-devel >= 3.0
BuildRequires:	libjpeg-devel
BuildRequires:	libpng-devel
BuildRequires:	qt-devel >= 6:3.0.2
BuildRequires:	rpmbuild(macros) >= 1.129
BuildRequires:	zlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Knights aims to be the ultimate chess resource on your computer.
Written for the K Desktop Environment, it's designed to be both
friendly to new chess players and functional for Grand Masters. Some
of Knights' key features include: single, multi, and Internet play;
customizable board and pieces; audio cues; move previews; and much
much more...

%description -l pl.UTF-8
Knights dąży do tego, by być najlepszym programem szachowym na twoim
komputerze. Napisany został dla KDE, jest zaprojektowany w sposób
przyjazny dla nowych graczy, jak też funkcjonalny dla Wielkich
Mistrzów. Cechy Knights to: możliwość gry jednego, i wielu graczy, jak
też gry przez Internet; możliwość wybory stylu szachownicy i figur;
podpowiedzi dźwiękowe; podgląd ruchów i wiele, wiele innych...

%package themes
Summary:	Knights themepack
Summary(pl.UTF-8):	Zestaw motywów do knights
Group:		Themes
Requires:	%{name} = %{version}-%{release}

%description themes
Additional themes for the Knights chess environment.

%description themes -l pl.UTF-8
Dodatkowe motywy do środowiska gry w szachy knights.

%prep
%setup -q
%patch0 -p1

%build
kde_appsdir="%{_desktopdir}"; export kde_appsdir
kde_htmldir="%{_kdedocdir}"; export kde_htmldir
cp -f /usr/share/automake/config.sub admin/config.sub
%configure \
	--with-qt-libraries=%{_libdir}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_datadir}/apps/knights/themes
%{__tar} xfz %{SOURCE1} -C $RPM_BUILD_ROOT%{_datadir}/apps/knights/themes
mv $RPM_BUILD_ROOT%{_datadir}/apps/knights/themes/{knights-themepack/*.tar.gz,}
rm -rf $RPM_BUILD_ROOT%{_datadir}/apps/knights/themes/knights-themepack
mv $RPM_BUILD_ROOT%{_desktopdir}/{Games/Board/,}knights.desktop

%find_lang %{name} --with-kde

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS README
%attr(755,root,root) %{_bindir}/%{name}*
%dir %{_datadir}/apps/knights
%{_datadir}/apps/knights/[!t]*
%{_desktopdir}/knights.desktop
%{_datadir}/mimelnk/application/pgn.desktop
%dir %{_datadir}/apps/knights/themes
%{_datadir}/apps/knights/themes/KBDefault.tar.gz
%{_datadir}/apps/knights/themes/KCDefault.tar.gz
%{_datadir}/apps/knights/themes/KSDefault.tar.gz
%{_iconsdir}/*/*/*/*.png

%files themes
%defattr(644,root,root,755)
%{_datadir}/apps/%{name}/themes/*
%exclude %{_datadir}/apps/knights/themes/KBDefault.tar.gz
%exclude %{_datadir}/apps/knights/themes/KCDefault.tar.gz
%exclude %{_datadir}/apps/knights/themes/KSDefault.tar.gz

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: knights.spec,v $
Revision 1.15  2007-11-18 16:05:43  blues
- rel.4

Revision 1.14  2007-10-09 15:31:11  baggins
- s/enviroment/environment/

Revision 1.13  2007/04/09 01:27:20  shadzik
mass attack: qt-devel epoch

Revision 1.12  2007/02/13 06:46:49  glen
- tabs in preamble

Revision 1.11  2007/02/12 00:49:00  baggins
- converted to UTF-8

Revision 1.10  2006/11/05 13:11:06  qboosh
- release 3

Revision 1.9  2006/11/05 13:05:46  qboosh
- added desktop patch

Revision 1.8  2004/08/17 11:46:12  qboosh
- removed invalid defines

Revision 1.7  2004/08/16 07:19:34  blues
- build on new archs

Revision 1.6  2004/08/15 12:17:49  blues
- release 2

Revision 1.5  2004/02/04 12:59:42  qboosh
- fixed Categories (missing semicolon)

Revision 1.4  2003/10/07 13:47:25  qboosh
- cleanups, removed COPYING (just GPL) and INSTALL (useless)

Revision 1.3  2003/09/27 22:18:13  ankry
- pl

Revision 1.2  2003/09/27 16:15:46  djurban
- typo

Revision 1.1  2003/09/27 16:05:12  djurban
- KNIGHTS AT LAST
